Endpoint
GET https://api.thestatsapi.com/api/football/matches/{match_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
match_id | string | Yes | Example: mt_838955483 |
Response (200)
{
"data": {
"id": "mt_838955483",
"competition_id": "comp_3039",
"competition_name": "Premier League",
"season_id": "sn_6125938",
"matchday": 20,
"stage_name": "final",
"group_label": "A",
"status": "finished",
"utc_date": "2024-01-15T15:00:00.000Z",
"home_team": {
"id": "tm_0406",
"name": "Liverpool"
},
"away_team": {
"id": "tm_1002",
"name": "Aston Villa"
},
"score": {
"home": 2,
"away": 1,
"final_score": {
"home": 5,
"away": 4
},
"half_time_home": 1,
"half_time_away": 0
},
"venue": {
"name": "Anfield",
"city": "Liverpool"
},
"referee": {
"id": "ref_7264609",
"name": "Michael Oliver"
},
"odds_available": true,
"live_odds_available": true,
"xg_available": true
}
}
This page is generated from the live API contract at
https://api.thestatsapi.com/llms.txt.